#ifndef CameraParkingPubDataWrapper_WRAPPER_HEADER_H
#define CameraParkingPubDataWrapper_WRAPPER_HEADER_H

#include "pub/PubDataWrapper.h"

/*---------------------------------------------------------------------------------------------------------*/
template <typename EventType>
class CamPrk2Visualization_PubDataWrapper : public PubDataWrapper<EventType>
{
public:
    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override
    {
        // data->cameraId = this->id;
        // data->dataSize = 20; // what? why 20?
        // data->header.stampHigh = this->image.header.stamp.sec;
        // data->header.stampLow = this->image.header.stamp.nsec;
        // data->header.frameId = this->image.header.frameId;
        // data->rawData = this->image.frameData;
        // data->gopFlag = this->gopFlag;
         data->dataSize = 2;
    }
    // void publishEncodedImage(mdc::visual::Image &image, uint8_t id, bool gopFlag)
    // {
    //     this->image = image;
    //     this->id = id;
    //     this->gopFlag = gopFlag;
    // }

private:
    // mdc::visual::Image image;
    // uint8_t id;
    // bool gopFlag;
  
};
/*---------------------------------------------------------------------------------------------------------*/
template <typename EventType>
class  CamPrk2CamPrkPerception_PubDataWrapper : public PubDataWrapper<EventType>
{
public:
    void GetData(ara::com::SampleAllocateePtr<EventType> &data) override
    {
        // data->SetMbufPtr(this->image);
        // data->cameraId = this->id;
        // data->dataSize = this->dataSize;
        data->dataSize = 1;
    }
    // void publishPerceptionImage(CameraDrivingBuffer *image, uint8_t id, int dataSize)
    // {
    //     this->image = image;
    //     this->id = id;
    //     this->dataSize = dataSize; 
    // }

private:
    // CameraDrivingBuffer *image;
    // uint8_t id;
    // int dataSize;
  
};
#endif /* CameraParkingPubDataWrapper_WRAPPER_HEADER_H */
